# Uses of Interface
org.eclipse.birt.chart.model.attribute.Bounds

Packages that use Bounds
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Bounds in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Bounds
Modifier and Type
Method
Description
`Bounds`
GObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`Bounds`
IGObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`Bounds`
GObjectFactory.`copyOf(Bounds src)`
`Bounds`
IGObjectFactory.`copyOf(Bounds src)`
`Bounds`
GObjectFactory.`createBounds(double dLeft, double dTop, double dWidth, double dHeight)`
`Bounds`
IGObjectFactory.`createBounds(double dLeft, double dTop, double dWidth, double dHeight)`
`Bounds`
Rectangle.`getBounds()`
`Bounds`
LegendItemRenderingHints.`getLegendGraphicBounds()`
`final Bounds`
PlotComputation.`getPlotBounds()`
`Bounds`
GObjectFactory.`scaleBounds(Bounds bo, double dScale)`
`Bounds`
IGObjectFactory.`scaleBounds(Bounds bo, double dScale)`
`Bounds`
GObjectFactory.`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
`Bounds`
IGObjectFactory.`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
Methods in org.eclipse.birt.chart.computation with parameters of type Bounds
Modifier and Type
Method
Description
`Bounds`
GObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`Bounds`
IGObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`abstract void`
PlotComputation.`compute(Bounds bo)`
This method computes the entire chart within the given bounds.
`Bounds`
GObjectFactory.`copyOf(Bounds src)`
`Bounds`
IGObjectFactory.`copyOf(Bounds src)`
`Bounds`
GObjectFactory.`scaleBounds(Bounds bo, double dScale)`
`Bounds`
IGObjectFactory.`scaleBounds(Bounds bo, double dScale)`
`Bounds`
GObjectFactory.`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
`Bounds`
IGObjectFactory.`translateBounds(Bounds bo, double dTranslateX, double dTranslateY)`
Constructors in org.eclipse.birt.chart.computation with parameters of type Bounds
Modifier
Constructor
Description
``
`LegendItemRenderingHints(BaseRenderer _br, Bounds _boLegendGraphic)`

## Uses of Bounds in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Bounds
Modifier and Type
Method
Description
`Bounds`
PlotWith3DAxes.`getAdjustedPlotBounds(boolean refresh)`
`Bounds`
SeriesRenderingHints.`getClientAreaBounds(boolean bReduceByInsets)`
Returns client area bounds for current series.
`Bounds`
SeriesRenderingHints3D.`getClientAreaBounds(boolean bReduceByInsets)`
`Bounds`
PlotWith2DAxes.`getPlotBoundsWithMargin()`
Returns the plot bounds with margin area.
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type Bounds
Modifier and Type
Method
Description
`void`
PlotWith2DAxes.`compute(Bounds bo)`
This method computes the entire chart within the given bounds.
`void`
PlotWith3DAxes.`compute(Bounds bo)`
`void`
PlotWith2DAxes.`initDynamicPlotBounds(Bounds bo)`
Initializes the chart plot bounds for the dynamic size case.
`void`
SeriesRenderingHints.`setClientAreaBounds(Bounds bounds)`
Set client area bounds for current series.
`void`
SharedScaleContext.`updateBounds(Bounds bo)`
update the bounds info, shared scale should be recalculated when bounds changed.
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type Bounds
Modifier
Constructor
Description
``
`AxesAdjuster(PlotWithAxes plotWithAxes, org.eclipse.birt.chart.computation.withaxes.ValueAxesHelper valueAxesHelper, Bounds boPlot)`
Constructor.
``
`HorizontalAxesAdjuster(OneAxis[] horizontalAxes, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.
``
`HorizontalAxisAdjuster(OneAxis horizontalAxis, OneAxis verticalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
``
`VerticalAxesAdjuster(OneAxis[] verticalAxes, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.
``
`VerticalAxisAdjuster(OneAxis verticalAxis, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.

## Uses of Bounds in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes that return Bounds
Modifier and Type
Method
Description
`Bounds`
SeriesRenderingHints.`getClientAreaBounds(boolean bReduceByInsets)`
Methods in org.eclipse.birt.chart.computation.withoutaxes with parameters of type Bounds
Modifier and Type
Method
Description
`void`
PlotWithoutAxes.`compute(Bounds bo)`

## Uses of Bounds in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type Bounds
Modifier and Type
Method
Description
`void`
ITextRenderer.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`
`void`
TextRendererAdapter.`renderTextInBlock(IDeviceRenderer idr, Bounds boBlock, TextAlignment taBlock, Label la)`

## Uses of Bounds in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Bounds
Modifier and Type
Method
Description
`final Bounds`
TextRenderEvent.`getBlockBounds()`
`Bounds`
ArcRenderEvent.`getBounds()`
`final Bounds`
AreaRenderEvent.`getBounds()`
`Bounds`
IRenderInstruction.`getBounds()`
`final Bounds`
LineRenderEvent.`getBounds()`
`final Bounds`
MarkerInstruction.`getBounds()`
`final Bounds`
OvalRenderEvent.`getBounds()`
`Bounds`
PolygonRenderEvent.`getBounds()`
`Bounds`
PrimitiveRenderEvent.`getBounds()`
Returns the mimimum bounds required to contain the rendering area for current event.
`Bounds`
RectangleRenderEvent.`getBounds()`
`Bounds`
WrappedInstruction.`getBounds()`
`Bounds`
WrappedInstruction.`getCompareBounds()`
Returns compare bounds.
`Bounds`
ArcRenderEvent.`getEllipseBounds()`
Returns the full containing bounds of the complete ellipse.
Methods in org.eclipse.birt.chart.event with parameters of type Bounds
Modifier and Type
Method
Description
`static final int`
PrimitiveRenderEvent.`compareRegular(Bounds bo1, Bounds bo2)`
Compare two bounds regularly.
`static final int`
PrimitiveRenderEvent.`compareTransposed(Bounds bo1, Bounds bo2)`
Compare two bounds in transposed way.
`final void`
TextRenderEvent.`setBlockBounds(Bounds boBlock)`
Sets the block bounds of the text.
`final void`
ArcRenderEvent.`setBounds(Bounds bo)`
Sets the containing bounds of this arc.
`final void`
OvalRenderEvent.`setBounds(Bounds bo)`
Sets the bounds of the oval.
`void`
RectangleRenderEvent.`setBounds(Bounds bo)`
Sets the bounds associated with this rectangle.
`void`
WrappedInstruction.`setCompareBounds(Bounds bounds)`
This method set a bounds to be used for polygon comparison to reset polygon rendering order.

## Uses of Bounds in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory with parameters of type Bounds
Modifier and Type
Method
Description
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext)` instead.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext, IStyleProcessor)` instead.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.

## Uses of Bounds in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Bounds
Modifier and Type
Method
Description
`Bounds`
Bounds.`adjustedInstance(Insets ins)`
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written
`Bounds`
Bounds.`copyInstance()`
`Bounds`
AttributeFactory.`createBounds()`
Returns a new object of class 'Bounds'.
`Bounds`
Bounds.`scaledInstance(double dScale)`
Returns a new Bounds instance with scaled members
`Bounds`
Bounds.`translateInstance(double dTranslateX, double dTranslateY)`
Creates a new 'Bounds' instance by translate the existing 'Bounds' instance using given offsets.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Bounds
Modifier and Type
Method
Description
`void`
Bounds.`max(Bounds bo)`

## Uses of Bounds in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Bounds
Modifier and Type
Class
Description
`class`
`BoundsImpl`
An implementation of the model object ' Bounds'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Bounds
Modifier and Type
Method
Description
`final Bounds`
BoundsImpl.`adjustedInstance(Insets ins)`
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written
`Bounds`
BoundsImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Bounds`
BoundsImpl.`create(double dLeft, double dTop, double dWidth, double dHeight)`
Convenient creation of a Bounds object and instantiates member variables NOTE: Manually written
`Bounds`
AttributeFactoryImpl.`createBounds()`
`static final Bounds`
BoundsImpl.`createDefault(double dLeft, double dTop, double dWidth, double dHeight)`
Convenient creation of a Bounds object and instantiates member variables NOTE: Manually written
`final Bounds`
BoundsImpl.`scaledInstance(double dScale)`
`final Bounds`
BoundsImpl.`translateInstance(double dTranslateX, double dTranslateY)`
Creates a new 'Bounds' instance by translate the existing 'Bounds' instance using given offsets.
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Bounds
Modifier and Type
Method
Description
`final void`
BoundsImpl.`max(Bounds bo)`

## Uses of Bounds in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Bounds
Modifier and Type
Method
Description
`Bounds`
Block.`getBounds()`
Returns the value of the 'Bounds' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Bounds
Modifier and Type
Method
Description
`void`
Block.`setBounds(Bounds value)`
Sets the value of the '`Bounds`' containment reference.

## Uses of Bounds in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Bounds
Modifier and Type
Method
Description
`Bounds`
BlockImpl.`getBounds()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Bounds
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetBounds(Bounds newBounds, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setBounds(Bounds newBounds)`

## Uses of Bounds in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Bounds
Modifier and Type
Method
Description
`Bounds`
ISeriesRenderingHints.`getClientAreaBounds(boolean bReduceByInsets)`
Returns current client area bounds.
Methods in org.eclipse.birt.chart.render with parameters of type Bounds
Modifier and Type
Method
Description
`void`
EmptyWithAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
EmptyWithoutAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
ISeriesRenderer.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.
`final void`
AxesRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Overridden behavior for graphic element series that are plotted along axes
`void`
BaseRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Renders all blocks using the appropriate block z-order and the containment hierarchy.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo)`
This convenience method renders the data point label along with the shadow If there's a need to render the data point label and the shadow separately, each call should be made separately by calling into the primitive rendering interface directly.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo, DeferredCache _dc)`
Renderer label with specified `DeferredCache`.
`void`
EmptyWithAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
EmptyWithoutAxes.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
`void`
ISeriesRenderer.`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.

## Uses of Bounds in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Bounds
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called after drawing the legend item.
`void`
ChartEventHandlerAdapter.`beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called before drawing the legend item.